Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 1059855 - Add new printer with system-config-printer from XFCE menu does not ask for root, therefore fails to complete at last "apply" [NEEDINFO]
Summary: Add new printer with system-config-printer from XFCE menu does not ask for ro...
Keywords:
Status: CLOSED EOL
Alias: None
Product: Fedora
Classification: Fedora
Component: cups
Version: 20
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Tim Waugh
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2014-01-30 19:42 UTC by kilolima
Modified: 2015-06-29 14:53 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2015-06-29 14:53:34 UTC
twaugh: needinfo? (kilolima)


Attachments (Terms of Use)

Description kilolima 2014-01-30 19:42:04 UTC
Description of problem:

When adding a new printer, a user will go to the menu Administration -> Print Settings. This launches the system-config-printer GUI.

It is possible to then attempt to add a new printer and go through the dialogs to find a printer, download a driver, set printer name and nicknames, but the dialog does nothing at the final "apply" button.

Obviously, it is a permission issue as the tool works fine when launched from the console as root. When launched from the menu by a user, the tool should ask for root access. 

Version-Release number of selected component (if applicable):

20
How reproducible:

launch system-config-printer as a user from the graphical menu.

Steps to Reproduce:
1. launch system-config-printer as a user from the graphical menu.
2. Add a new printer
3. Go through steps until reaching final "apply".

Actual results:

Nothing happens, clicking "apply" does nothing at all, printer is not added.

Expected results:

Printer would be added to system.

Additional info:

Comment 1 Tim Waugh 2014-01-31 09:38:33 UTC
More information is needed in order to understand the problem.

1. Please run "system-config-printer --debug" and follow the steps again. After that, please attach the output you get on the command line.

2. system-config-printer uses cups-pk-helper and polkit, and does not need root privilege itself. Do you have cups-pk-helper installed?
rpm -q cups-pk-helper

3. What output do you get from this command?:
$ pkaction -va org.opensuse.cupspkhelper.mechanism.printeraddremove

and this one?:
$ pkcheck -p $$ -a org.opensuse.cupspkhelper.mechanism.printeraddremove

If polkit is not successful system-config-printer is meant to fall back to IPP authentication, using its own password dialog.

Comment 2 Fedora End Of Life 2015-05-29 10:45:00 UTC
This message is a reminder that Fedora 20 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 20. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '20'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 20 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

Comment 3 Fedora End Of Life 2015-06-29 14:53:34 UTC
Fedora 20 changed to end-of-life (EOL) status on 2015-06-23. Fedora 20 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.


Note You need to log in before you can comment on or make changes to this bug.